import { AdEntity } from '@modules/ad/core/domain/ad.entity';
import { createAdProps } from './ad.fixtures';

describe('Ad entity create', () => {
  describe('create', () => {
    it('should create a new entity', async () => {
      const ad: AdEntity = AdEntity.create(createAdProps());
      expect(ad.id.length).toBe(36);
      expect(ad.getProps().schedule.length).toBe(1);
      expect(ad.getProps().schedule[0].day).toBe(3);
      expect(ad.getProps().schedule[0].time).toBe('08:30');
      expect(ad.getProps().driver).toBeTruthy();
      expect(ad.getProps().passenger).toBeTruthy();
      expect(ad.getProps().driverDistance).toBe(23000);
    });
  });
});
