import { GeorouterService } from '@modules/ad/core/domain/georouter.service';

export const bareMockGeorouter: GeorouterService = {
  getRoute: jest.fn(),
};

export const simpleMockGeorouter: GeorouterService = {
  getRoute: jest.fn().mockImplementation(() => ({
    distance: 350101,
    duration: 14422,
    fwdAzimuth: 273,
    backAzimuth: 93,
    distanceAzimuth: 336544,
    points: [],
  })),
};
