import { TimezoneFinder } from '@modules/ad/infrastructure/timezone-finder';

describe('Timezone Finder', () => {
  it('should be defined', () => {
    const timezoneFinder: TimezoneFinder = new TimezoneFinder();
    expect(timezoneFinder).toBeDefined();
  });
  it('should get timezone for Nancy(France) as Europe/Paris', () => {
    const timezoneFinder: TimezoneFinder = new TimezoneFinder();
    const timezones = timezoneFinder.timezones(6.179373, 48.687913);
    expect(timezones.length).toBe(1);
    expect(timezones[0]).toBe('Europe/Paris');
  });
});
